Bug 827010 - RFE: torrent support for cds syncing, to reduce latency/bandwidth/time for cds groups to sync from the pulp server
RFE: torrent support for cds syncing, to reduce latency/bandwidth/time for cd...
Status: CLOSED UPSTREAM
Product: Pulp
Classification: Community
Component: nodes (Show other bugs)
Master
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: pulp-bugs
Preethi Thomas
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 08:21 EDT by Jim Perrin
Modified: 2015-02-28 18:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 19:48:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Pulp Redmine 171 None None None Never

  None (edit)
Description Jim Perrin 2012-05-31 08:21:00 EDT
Description of problem:
Syncing a few repos at 3-4G each takes eons over a slower connection for multiple cds servers. (World-wide distribution)

Version-Release number of selected component (if applicable):
NA

How reproducible:
Always

Steps to Reproduce:
1. Have multiple offices in separate locations
2. Sync to them. 
3. Grow old whilst waiting. 
  
Actual results:
Grow accustomed to life in a 5 x 7 cube. 
Start fashioning prison weaponry to defend the office refrigerator.

Expected results:
CDS groups should be able to sync from each other if possible via torrent. This way multiple cds systems can sync at the same time, and from each other rather than just hitting the server. Reducing overall mirroring time is a key feature for the cds. 

Additional info:
Comment 1 Brian Bouterse 2015-02-18 19:48:36 EST
Moved to https://pulp.plan.io/issues/171

Note You need to log in before you can comment on or make changes to this bug.